System
/- Starts a new query and returns the query id and info
Gets the current status and results for a query that has previously been started
Gets the definition for a specific type of query including the available fields
Starts a new query and re...
Starts a new query and returns the query id and info
Security
knox-authorizer
The query
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/start/{queryType}/{outputFormat}
- https://system.api.rhythmsoftware.comhttps://system.api.rhythmsoftware.com/queries/{tenantId}/start/{queryType}/{outputFormat}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/start/{queryType}/{outputFormat}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"context_id": "string",
"criteria": {},
"limit": 0.1,
"name": "string",
"offset": 0.1,
"output_fields": [
{
"alias": "string",
"label": "string",
"name": "string"
}
],
"sort_fields": [
{
"descending": true,
"name": "string"
}
]
}'Response
{ "id": "string" }